<?php include 'includes/head.php'; ?>


<?php
// Start the session
session_start();

// Check if the user is logged in
if (!isset($_SESSION['token'])) {
    // Redirect to the login page if no token is found
    header('Location: https://demohostsites.com/login');
    exit();
}

// You can also check the random number if necessary
if (!isset($_SESSION['randomNumber'])) {
    header('Location: https://demohostsites.com/login');
    exit();
}
?>





<div class="dashboard-header">
    <div class="container-fluid p-0 m-0">
        <div class="row">
            <div class="col-lg-3 px-0 mx-0">
                <?php include 'includes/header.php'; ?>
            </div>
            <div class="col-lg-9 p-0 m-0">
                <div class="dashboard-main d-flex justify-content-center pt-5">
                    <div class="dash">
                        <div class="dashboard-header d-flex align-items-center justify-content-between">
                            <h4>Hello Johnathan,</h4>
                            <div class="input-div d-flex align-items-center">
                                <i class="fa-solid fa-bell"></i>
                                <form action="">
                                    <div class="search-bar mx-2">
                                        <input type="text" name="" id="" placeholder="Search">
                                        <i class="fa-solid fa-magnifying-glass"></i>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="main-table my-5">
                            <div class="container mt-5">
                                <!-- Tab Navigation -->
                                <ul class="nav nav-tabs" id="myTab" role="tablist">
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link active" id="post-appointments-tab" data-bs-toggle="tab"
                                            data-bs-target="#post-appointments" type="button" role="tab"
                                            aria-controls="post-appointments" aria-selected="true">Past
                                            Appointments</button>
                                    </li>
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" id="upcoming-tab" data-bs-toggle="tab"
                                            data-bs-target="#upcoming" type="button" role="tab" aria-controls="upcoming"
                                            aria-selected="false">Upcoming</button>
                                    </li>
                                    <li class="nav-item" role="presentation">
                                        <button class="nav-link" id="today-tab" data-bs-toggle="tab"
                                            data-bs-target="#today" type="button" role="tab" aria-controls="today"
                                            aria-selected="false">Today</button>
                                    </li>
                                </ul>

                                <!-- Tab Panes -->
                                <div class="tab-content px-5" id="myTabContent">
                                    <div class="tab-pane fade show active" id="post-appointments" role="tabpanel"
                                        aria-labelledby="post-appointments-tab">
                                        <!-- Table -->
                                        <div class="main-header">

                                            <div class="d-flex justify-content-between align-items-center mb-3 py-3">
                                                <!-- Left side: Heading and Paragraph -->
                                                <div class="main-appo">
                                                    <h2>Invoice</h2>
                                                 
                                                </div>
                                                <!-- Right side: Sort by statement and select -->
                                                <div class="d-flex align-items-center">
                                                    <div class="input-div d-flex align-items-center">

                                                        <form action="">
                                                            <div class="search-bar mx-2">
                                                                <input type="text" name="" id="" placeholder="Search">
                                                                <i class="fa-solid fa-magnifying-glass"></i>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <div class="sort-div d-flex align-items-center">
                                                        <span class="me-2">Sort by:</span>
                                                        <select class="form-select" aria-label="Sort by">
                                                            <option selected>Newest</option>
                                                            <option value="1">Oldest</option>
                                                            <option value="2">Name (A-Z)</option>
                                                            <option value="3">Name (Z-A)</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="table-responsive mt-3">
                                            <table class="table ">
                                                <thead>
                                                    <tr>
                                                        <th>Number</th>
                                                        <th>Invoice Name</th>
                                                        <th>Date</th>
                                                        <th>Amount</th>
                                                        <th>Status</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <!-- Sample Table Rows -->
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="booked text-center">Paid</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="pending text-center">Processing</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="cancelled text-center">Unpaid</span></td>
                                                    </tr>
                                                   
                                                    <!-- Add more rows as needed -->
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="upcoming" role="tabpanel"
                                        aria-labelledby="upcoming-tab">
                                        <div class="main-header">

                                            <div class="d-flex justify-content-between align-items-center mb-3 py-3">
                                                <!-- Left side: Heading and Paragraph -->
                                                <div class="main-appo">
                                                    <h2>Invoice</h2>
                                                 
                                                </div>
                                                <!-- Right side: Sort by statement and select -->
                                                <div class="d-flex align-items-center">
                                                    <div class="input-div d-flex align-items-center">

                                                        <form action="">
                                                            <div class="search-bar mx-2">
                                                                <input type="text" name="" id="" placeholder="Search">
                                                                <i class="fa-solid fa-magnifying-glass"></i>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <div class="sort-div d-flex align-items-center">
                                                        <span class="me-2">Sort by:</span>
                                                        <select class="form-select" aria-label="Sort by">
                                                            <option selected>Newest</option>
                                                            <option value="1">Oldest</option>
                                                            <option value="2">Name (A-Z)</option>
                                                            <option value="3">Name (Z-A)</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="table-responsive mt-3">
                                            <table class="table ">
                                                <thead>
                                                    <tr>
                                                        <th>Number</th>
                                                        <th>Invoice Name</th>
                                                        <th>Date</th>
                                                        <th>Amount</th>
                                                        <th>Status</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <!-- Sample Table Rows -->
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="booked text-center">Paid</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="pending text-center">Processing</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="cancelled text-center">Unpaid</span></td>
                                                    </tr>
                                                   
                                                    <!-- Add more rows as needed -->
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    <div class="tab-pane fade" id="today" role="tabpanel" aria-labelledby="today-tab">
                                        <div class="main-header">

                                            <div class="d-flex justify-content-between align-items-center mb-3 py-3">
                                                <!-- Left side: Heading and Paragraph -->
                                                <div class="main-appo">
                                                    <h2>Invoice</h2>
                                                 
                                                </div>
                                                <!-- Right side: Sort by statement and select -->
                                                <div class="d-flex align-items-center">
                                                    <div class="input-div d-flex align-items-center">

                                                        <form action="">
                                                            <div class="search-bar mx-2">
                                                                <input type="text" name="" id="" placeholder="Search">
                                                                <i class="fa-solid fa-magnifying-glass"></i>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <div class="sort-div d-flex align-items-center">
                                                        <span class="me-2">Sort by:</span>
                                                        <select class="form-select" aria-label="Sort by">
                                                            <option selected>Newest</option>
                                                            <option value="1">Oldest</option>
                                                            <option value="2">Name (A-Z)</option>
                                                            <option value="3">Name (Z-A)</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="table-responsive mt-3">
                                            <table class="table ">
                                                <thead>
                                                    <tr>
                                                        <th>Number</th>
                                                        <th>Invoice Name</th>
                                                        <th>Date</th>
                                                        <th>Amount</th>
                                                        <th>Status</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <!-- Sample Table Rows -->
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="booked text-center">Paid</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="pending text-center">Processing</span></td>
                                                    </tr>
                                                    <tr class="align-items-center">
                                                        <td>#1</td>
                                                        <td>Lorem Ipsum Dolor Sit Amet</td>
                                                        <td>08-06-2024</td>
                                                        <td><a href="javascript:;">$123.00</a></td>
                                                        <td><span class="cancelled text-center">Unpaid</span></td>
                                                    </tr>
                                                   
                                                    <!-- Add more rows as needed -->
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>

                                <!-- Footer -->
                                <div class="d-flex justify-content-between align-items-center mt-3 px-5">
                                    <p class="mb-0 entries">Showing data 1 to 8 of 256K entries</p>
                                    <nav aria-label="Page navigation">
                                        <ul class="pagination mb-0">
                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Previous">
                                                    <span aria-hidden="true"><i
                                                            class="fa-solid fa-chevron-left"></i></span>
                                                </a>
                                            </li>
                                            <li class="page-item"><a class="page-link" href="#">1</a></li>
                                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                                            <li class="page-item"><a class="page-link" href="#">4</a></li>
                                            <li class="page-item"><a class="page-link" href="#">5</a></li>
                                            <li class="page-item"><a class="page-link" href="#">6</a></li>
                                            <li class="page-item">
                                                <a class="page-link" href="#" aria-label="Next">
                                                    <span aria-hidden="true"><i
                                                            class="fa-solid fa-chevron-right"></i></span>
                                                </a>
                                            </li>
                                        </ul>
                                    </nav>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>



<?php include 'includes/footer.php'; ?>

<?php include 'includes/scripts.php'; ?>