
    function setActive() {
      const navItems = document.querySelectorAll('.nav-list li a');
      const activeId = localStorage.getItem('activeNavItem') || 'appointments';

      navItems.forEach(item => {
        if (item.id === activeId) {
          item.classList.add('active');
        } else {
          item.classList.remove('active');
        }

        item.addEventListener('click', () => {
          localStorage.setItem('activeNavItem', item.id);
          setActive();
        });
      });
    }

    document.addEventListener('DOMContentLoaded', () => {
      setActive();
    });
  